OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ARB.SparseBuffer

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBSparseBuffer :: MonadIO m => m Bool
- gl_ARB_sparse_buffer :: Bool
- pattern GL_SPARSE_BUFFER_PAGE_SIZE_ARB :: GLenum
- pattern GL_SPARSE_STORAGE_BIT_ARB :: GLbitfield
- glBufferPageCommitmentARB :: MonadIO m => GLenum -> GLintptr -> GLsizeiptr -> GLboolean -> m ()
- glNamedBufferPageCommitmentARB :: MonadIO m => GLuint -> GLintptr -> GLsizeiptr -> GLboolean -> m ()
- glNamedBufferPageCommitmentEXT :: MonadIO m => GLuint -> GLintptr -> GLsizeiptr -> GLboolean -> m ()

# Extension Support

glGetARBSparseBuffer :: MonadIO m => m Bool Source #

Is the ARB_sparse_buffer extension supported?

gl_ARB_sparse_buffer :: Bool Source #

Is the ARB_sparse_buffer extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBSparseBuffer` in those cases instead.

# Enums

pattern GL_SPARSE_BUFFER_PAGE_SIZE_ARB :: GLenum Source #

pattern GL_SPARSE_STORAGE_BIT_ARB :: GLbitfield Source #

# Functions

glBufferPageCommitmentARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLintptr | `offset`.
-> GLsizeiptr | `size`.
-> GLboolean | `commit` of type Boolean.
-> m () |

glNamedBufferPageCommitmentARB Source #

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> GLintptr | `offset`.
-> GLsizeiptr | `size`.
-> GLboolean | `commit` of type Boolean.
-> m () |

glNamedBufferPageCommitmentEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> GLintptr | `offset`.
-> GLsizeiptr | `size`.
-> GLboolean | `commit` of type Boolean.
-> m () |